View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001329OpenFOAM[All Projects] Bugpublic2014-06-17 15:022014-06-19 14:27
Reporterdkxls 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformLinux x86_64OSopenSUSEOS Version12.2
Product Version2.3.x 
Target VersionFixed in Version 
Summary0001329: [PengRobinsonGas]: Bad mixture expression for critical pressure Pc
DescriptionA mole-fraction averaged mixture expression gives normally a good approximation for critical temperature, volume and acentric factor.
However, for the critical pressure, a mole-fraction average of pure-component critical pressures is normally unsatisfactory. This is because the critical pressure for most systems goes through a maximum or minimum with composition.

The simplest rule which can give acceptable Pc values for a cubic EOS is the modified rule of Prausnitz and Gunn (1958), as it is also implemented in the liquidMixtureProperties class.

For a more detailed discussion on this topic see Poling (2001); chapter 5-3.

The changes required for the mixing rule of Prausnitz and Gunn are small and a patch that implements them is attached.
Additional InformationKay, W. "Gases and Vapors At High Temperature and Pressure - Density of Hydrocarbon." Industrial & Engineering Chemistry 28, no. 9 (September 1, 1936): 1014–19. doi:10.1021/ie50321a008.

Prausnitz, J. M., and R. D. Gunn. "Volumetric Properties of Nonpolar Gaseous Mixtures." AIChE Journal 4, no. 4 (December 1, 1958): 430–35. doi:10.1002/aic.690040410.

Poling, B.E., J.M. Prausnitz, and J.P. O’Connell. The Properties of Gases and Liquids. McGraw-Hill, 2001.
TagsNo tags attached.
Attached Filespatch file icon PengRobinsonGas.patch [^] (5,880 bytes) 2014-06-17 15:02 [Show Content]

- Relationships

-  Notes
(0003136)
henry (manager)
2014-06-19 14:25

Thanks for the excellent detailed bug-report and patch.
This is resolved by commit 372326bbfc081ff2df635c1a64ef529c0f60255f

- Issue History
Date Modified Username Field Change
2014-06-17 15:02 dkxls New Issue
2014-06-17 15:02 dkxls File Added: PengRobinsonGas.patch
2014-06-19 14:25 henry Note Added: 0003136
2014-06-19 14:25 henry Status new => resolved
2014-06-19 14:25 henry Resolution open => fixed
2014-06-19 14:25 henry Assigned To => henry